0

I am getting error while using xsim package with exam class.

For exaple: LaTeX error: "xparse/command-already-defined" Command '\points' already defined! For immediate help type H . }

How to remove it?

Otherwise I cannot create the different types of questions like multiple choice, fill in the blanks, true-false etc.

MWE:

\documentclass[10pt,a4paper]{exam}
\usepackage[verbose,clear-aux]{xsim}
\usepackage{xsimverb,listings}
\usepackage{lipsum}
\usepackage{enumitem,amssymb,fmtcount}



\xsimsetup{
    exercise/print = true,
    solution/print = true,
    path=./exercises,
    file-extension = tex,
    exercise/template = bonus,
    grading-table/template = default*
    }

\usepackage[utf8]{inputenc}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{graphicx}
\title{xsim package }

\begin{document}
    \begin{exercise}
         A first example for an exercise.
         \end{exercise}
     \begin{solution}
         A first example for a solution.
         \end{solution}
\end{document}
  • Why do you want to use both of them? You can do all this with xsim alone… – TeXnician Apr 13 at 19:48
  • I am familiar with exam class where i can create different types of question. Whereas in xsim user manual, i could not find how to set mcq, true-false type questions. One example was there for mcq, but that is incomplete. Blank is also giving error. – cosmicraga Apr 13 at 19:55
  • 3
    Since they are incompatible, pick one and stick with it. You might be able to add the missing features. – John Kormylo Apr 13 at 21:18

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.